#ifndef __X_SCANCODE_H__
#define __X_SCANCODE_H__ 1

#define X_NOT_MAPPED                           0x00
#define X_MACRO_SELECT                         0x01
#define X_SC_ENTER                             0x02
#define X_SC_ESCAPE                            0x03
#define X_SC_BACKSPACE                         0x04
#define X_SC_TAB                               0x05
#define X_SC_SPACE                             0x06
#define X_SC_CAPS_LOCK                         0x07
#define X_SC_F1                                0x08
#define X_SC_F2                                0x09
#define X_SC_F3                                0x0A
#define X_SC_F4                                0x0B
#define X_SC_F5                                0x0C
#define X_SC_F6                                0x0D
#define X_SC_F7                                0x0E
#define X_SC_F8                                0x0F
#define X_SC_F9                                0x10
#define X_SC_F10                               0x11
#define X_SC_F11                               0x12
#define X_SC_F12                               0x13
#define X_SC_1_AND_EXCLAMATION                 0x14
#define X_SC_2_AND_AT                          0x15
#define X_SC_3_AND_HASHMARK                    0x16
#define X_SC_4_AND_DOLLAR                      0x17
#define X_SC_5_AND_PERCENTAGE                  0x18
#define X_SC_6_AND_CARET                       0x19
#define X_SC_7_AND_AMPERSAND                   0x1A
#define X_SC_8_AND_ASTERISK                    0x1B
#define X_SC_9_AND_OPENING_PARENTHESIS         0x1C
#define X_SC_0_AND_CLOSING_PARENTHESIS         0x1D
#define X_SC_A                                 0x1E
#define X_SC_B                                 0x1F
#define X_SC_C                                 0x20
#define X_SC_D                                 0x21
#define X_SC_E                                 0x22
#define X_SC_F                                 0x23
#define X_SC_G                                 0x24
#define X_SC_H                                 0x25
#define X_SC_I                                 0x26
#define X_SC_J                                 0x27
#define X_SC_K                                 0x28
#define X_SC_L                                 0x29
#define X_SC_M                                 0x2A
#define X_SC_N                                 0x2B
#define X_SC_O                                 0x2C
#define X_SC_P                                 0x2D
#define X_SC_Q                                 0x2E
#define X_SC_R                                 0x2F
#define X_SC_S                                 0x30
#define X_SC_T                                 0x31
#define X_SC_U                                 0x32
#define X_SC_V                                 0x33
#define X_SC_W                                 0x34
#define X_SC_X                                 0x35
#define X_SC_Y                                 0x36
#define X_SC_Z                                 0x37
#define X_SC_MINUS_AND_UNDERSCORE              0x38
#define X_SC_EQUAL_AND_PLUS                    0x39
#define X_SC_OPENING_BRACKET_AND_OPENING_BRACE 0x3A
#define X_SC_CLOSING_BRACKET_AND_CLOSING_BRACE 0x3B
#define X_SC_BACKSLASH_AND_PIPE                0x3C
#define X_SC_NON_US_HASHMARK_AND_TILDE         0x3D
#define X_SC_SEMICOLON_AND_COLON               0x3E
#define X_SC_APOSTROPHE_AND_QUOTE              0x3F
#define X_SC_GRAVE_ACCENT_AND_TILDE            0x40
#define X_SC_COMMA_AND_LESS_THAN_SIGN          0x41
#define X_SC_DOT_AND_GREATER_THAN_SIGN         0x42
#define X_SC_SLASH_AND_QUESTION_MARK           0x43
#define X_SC_PRINT_SCREEN                      0x44
#define X_SC_SCROLL_LOCK                       0x45
#define X_SC_PAUSE                             0x46
#define X_SC_INSERT                            0x47
#define X_SC_HOME                              0x48
#define X_SC_PAGE_UP                           0x49
#define X_SC_DELETE                            0x4A
#define X_SC_END                               0x4B
#define X_SC_PAGE_DOWN                         0x4C
#define X_SC_RIGHT_ARROW                       0x4D
#define X_SC_LEFT_ARROW                        0x4E
#define X_SC_DOWN_ARROW                        0x4F
#define X_SC_UP_ARROW                          0x50
#define X_SC_POWER                             0x51
#define X_SC_MUTE                              0x52
#define X_SC_LEFT_CONTROL                      0x53
#define X_SC_LEFT_SHIFT                        0x54
#define X_SC_LEFT_ALT                          0x55
#define X_SC_LEFT_GUI                          0x56
#define X_SC_RIGHT_CONTROL                     0x57
#define X_SC_RIGHT_SHIFT                       0x58
#define X_SC_RIGHT_ALT                         0x59
#define X_SC_RIGHT_GUI                         0x5A
#define X_SC_MEDIA_PLAY                        0x5B
#define X_SC_MEDIA_STOP                        0x5C
#define X_SC_MEDIA_PREVIOUS_TRACK              0x5D
#define X_SC_MEDIA_NEXT_TRACK                  0x5E
#define X_SC_MEDIA_VOLUME_UP                   0x5F
#define X_SC_MEDIA_VOLUME_DOWN                 0x60
#define X_SC_MEDIA_MUTE                        0x61
#define X_SC_MEDIA_BACKWARD                    0x62
#define X_SC_MEDIA_FORWARD                     0x63
#define X_SC_NUM_LOCK                          0x64
#define X_SC_KEYPAD_SLASH                      0x65
#define X_SC_KEYPAD_ASTERISK                   0x66
#define X_SC_KEYPAD_MINUS                      0x67
#define X_SC_KEYPAD_PLUS                       0x68
#define X_SC_KEYPAD_ENTER                      0x69
#define X_SC_KEYPAD_1_AND_END                  0x6A
#define X_SC_KEYPAD_2_AND_DOWN_ARROW           0x6B
#define X_SC_KEYPAD_3_AND_PAGE_DOWN            0x6C
#define X_SC_KEYPAD_4_AND_LEFT_ARROW           0x6D
#define X_SC_KEYPAD_5                          0x6E
#define X_SC_KEYPAD_6_AND_RIGHT_ARROW          0x6F
#define X_SC_KEYPAD_7_AND_HOME                 0x70
#define X_SC_KEYPAD_8_AND_UP_ARROW             0x71
#define X_SC_KEYPAD_9_AND_PAGE_UP              0x72
#define X_SC_KEYPAD_0_AND_INSERT               0x73
#define X_SC_KEYPAD_DOT_AND_DELETE             0x74
#define X_SC_NON_US_BACKSLASH_AND_PIPE         0x75
#define X_SC_SPECIAL1                          0x76
#define X_SC_SPECIAL2                          0x77
#define X_SC_SPECIAL3                          0x78
#define X_SC_SPECIAL4                          0x79
#define X_SC_SPECIAL5                          0x7A
#define X_SC_SPECIAL6                          0x7B
#define X_SC_SPECIAL7                          0x7C
#define X_SC_SPECIAL8                          0x7D
#define X_SC_SPECIAL9                          0x7E
#define X_SC_SPECIAL10                         0x7F


#endif